summaryrefslogtreecommitdiffstats
path: root/testing/psad/psad.initd
diff options
context:
space:
mode:
Diffstat (limited to 'testing/psad/psad.initd')
-rw-r--r--testing/psad/psad.initd6
1 files changed, 6 insertions, 0 deletions
diff --git a/testing/psad/psad.initd b/testing/psad/psad.initd
index 4b3df090d..dfe4c3ddf 100644
--- a/testing/psad/psad.initd
+++ b/testing/psad/psad.initd
@@ -26,6 +26,12 @@ start_pre() {
checkpath --directory ${pidfile%/*}
}
+start() {
+ ebegin "Starting PSAD (Port Scan Attack Detector)"
+ start-stop-daemon --start $command --pidfile $pidfile
+ eend $?
+}
+
stop() {
local piddir=${pidfile%/*}
ebegin "Stopping psadwatchd"